# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-05-01 21:27
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0020_old_tree_cleanup'),
        ('newsletter', '0005_auto_20190918_0122'),
    ]

    operations = [
        migrations.CreateModel(
            name='NewsletterPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='newsletter_newsletterpluginmodel', serialize=False, to='cms.CMSPlugin')),
                ('title', models.CharField(blank=True, max_length=100, verbose_name='title')),
                ('template_folder', models.CharField(choices=[('plugins', 'Default template')], default='plugins', help_text='Select plugin template to load for this instance', max_length=200, verbose_name='Plugin template')),
                ('newsletter', models.ForeignKey(db_index=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='newsletter_plugin', to='newsletter.Newsletter')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
    ]
